/*
 * Copyright 03/21/95 Sun Microsystems, Inc.  All Rights Reserved.
 */

/*
 * This file gets included instead of the "real" sys/debug.h when
 * compiling for lock_lint.  First it includes the real sys/debug.h.
 * Then it redefines the ASSERT() macro to something simple so
 * that it can be handled by the compiler when using the -Zll flag.
 */

#ifndef _SYS_DEBUG_H

/*
 * Do NOT define _SYS_DEBUG_H here, we do not want to supress the
 * the expansion of debug.h by the private undocumented #pragma reinclude.
 * The private undocumented #pragma reinclude will include the next (real)
 * version of debug.h in the include path, this should be in /usr/sys.
 */

#pragma ident "@(#)debug.h 1.1 95/03/21 SMI"

#pragma reinclude

#undef ASSERT
#define ASSERT(x)	__ll_assert(x)

extern int __ll_assert();

#endif  /* _SYS_DEBUG_H */
