/*
 * Copyright 03/21/95 Sun Microsystems, Inc.  All Rights Reserved.
 */

/*
 * rwlock.h (interposed) interface for annotating source for use with lock_lint
 *
 * This file gets included instead of the "real" sys/rwlock.h when
 * compiling with for lock_lint.  First it includes the real sys/rwlock.h.
 * Then it defines various macros so that they will be recognized by
 * by the compiler when using the -Zll flag, when these macros are used
 * with ASSERT.
 */

#ifndef _SYS_RWLOCK_H

/*
 * Do NOT define _SYS_RWLOCK_H here, we do not want to supress the
 * the expansion of rwlock.h by the private undocumented #pragma reinclude.
 * The private undocumented #pragma reinclude will include the next (real)
 * version of rwlock.h in the include path, this should be in /usr/sys.
 */

#pragma ident "@(#)rwlock.h 1.1 95/03/21 SMI"

#pragma reinclude

#define rw_read_held    RW_READ_HELD
#define rw_read_locked  RW_READ_HELD
#define rw_write_held   RW_WRITE_HELD
#define rw_lock_held    RW_LOCK_HELD

#endif	/* _SYS_RWLOCK_H */
